Subject: Re: Failed to build in QA

From: Reza Housseini <[email-masked]>
Date: Mon, 9 Oct 2023 14:40:40 +0200

> This is probably down to a top level circular dependency. In particular,
> trying to paraview to compute the version to form part of the
> native-search-path at the top level causes problems.

I'm wondering why it builds fine locally but causes problems in QA have 
you any pointers what might be the difference?

> Making openfoam have LD_LIBRARY_PATH as a search path seems like the
> incorrect use of search paths though, since you're searching for
> something in the same package. Replacing this with wrapping would be an
> improvement, although still I'm unsure why LD_LIBRARY_PATH would need
> setting in this case
Hmm maybe you are right, will try to wrap the binaries instead...